org.red5.io.flv

## Interface IFLVService

All Superinterfaces:
  IStreamableFileService

All Known Implementing Classes:
  FLVService

    public interface IFLVService
    extends IStreamableFileService

A FLVService sets up the service and hands out FLV objects to its callers

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com)

### Method Summary

Methods
`void` `setDeserializer(Deserializer deserializer)` Sets the deserializer
`void` `setSerializer(Serializer serializer)` Sets the serializer

### Methods inherited from interface org.red5.io.IStreamableFileService

`canHandle, getExtension, getPrefix, getStreamableFile, prepareFilename, setExtension, setPrefix`

### Method Detail

#### setSerializer

    void setSerializer(Serializer serializer)

Sets the serializer

Parameters:
  `serializer` - Serializer object

#### setDeserializer

    void setDeserializer(Deserializer deserializer)

Sets the deserializer

Parameters:
  `deserializer` - Deserializer object